Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000735KdenliveUser Interfacepublic2009-03-27 13:512009-06-18 02:36
Reporterjmpoure 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target VersionFixed in Version0.7.4 
Summary0000735: Startup crash
DescriptionWhen dragging and dropping 30 mpeg2-ts files to Kdenlive project tree, Kdenlive crashes at third or fourth clip.

Application: Kdenlive (kdenlive), signal SIGSEGV
0x00007fe9322648d1 in nanosleep () from /lib/libc.so.6
[Current thread is 0 (LWP 7829)]

Thread 6 (Thread 0x7fe90f1f9950 (LWP 7844)):
#0 0x00007fe93228db22 in select () from /lib/libc.so.6
#1 0x00007fe933945756 in ?? () from /usr/lib/libQtCore.so.4
0000002 0x00007fe93387d162 in ?? () from /usr/lib/libQtCore.so.4
0000003 0x00007fe931dadfaa in start_thread () from /lib/libpthread.so.0
0000004 0x00007fe9322942cd in clone () from /lib/libc.so.6
0000005 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7fe90e9f8950 (LWP 7860)):
#0 0x00007fe931db41f4 in __lll_lock_wait () from /lib/libpthread.so.0
#1 0x00007fe931dafab0 in _L_lock_102 () from /lib/libpthread.so.0
0000002 0x00007fe931daf39e in pthread_mutex_lock () from /lib/libpthread.so.0
0000003 0x00007fe91d6111d0 in producer_codec_close (codec=0x7fe9100211f0) at producer_avformat.c:242
0000004 0x00007fe935ec4559 in mlt_property_close (this=0x7fe91002b160) at mlt_property.c:107
0000005 0x00007fe935ec4f24 in mlt_properties_close (this=0x7fe91001bde0) at mlt_properties.c:1161
0000006 0x00007fe935ec9902 in mlt_producer_close (this=0x7fe91001bde0) at mlt_producer.c:1025
0000007 0x00007fe935ca9997 in Mlt::Producer::~Producer () from /usr/lib/libmlt++.so.1
0000008 0x0000000000592c60 in MyThread::run (this=0x7fe910032830) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/kthumb.cpp:120
0000009 0x00007fe93387d162 in ?? () from /usr/lib/libQtCore.so.4
0000010 0x00007fe931dadfaa in start_thread () from /lib/libpthread.so.0
0000011 0x00007fe9322942cd in clone () from /lib/libc.so.6
0000012 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7fe914a2f950 (LWP 7865)):
#0 0x00007fe931db1e8d in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007fe935ece9b3 in mlt_consumer_get_frame (this=0x29b7b50) at mlt_consumer.c:497
0000002 0x00007fe935ecebfd in mlt_consumer_rt_frame (this=0x29b7c6c) at mlt_consumer.c:895
0000003 0x00007fe91ff8271c in consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:558
0000004 0x00007fe931dadfaa in start_thread () from /lib/libpthread.so.0
0000005 0x00007fe9322942cd in clone () from /lib/libc.so.6
0000006 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7fe915230950 (LWP 7866)):
#0 0x00007fe931db1c09 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#1 0x00007fe91ff81e5b in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:381
0000002 0x00007fe931dadfaa in start_thread () from /lib/libpthread.so.0
0000003 0x00007fe9322942cd in clone () from /lib/libc.so.6
0000004 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fe90e1f7950 (LWP 7868)):
#0 0x00007fe931db41f4 in __lll_lock_wait () from /lib/libpthread.so.0
#1 0x00007fe931dafab0 in _L_lock_102 () from /lib/libpthread.so.0
0000002 0x00007fe931daf39e in pthread_mutex_lock () from /lib/libpthread.so.0
0000003 0x00007fe91d611000 in producer_file_close (context=0x3200820) at producer_avformat.c:224
0000004 0x00007fe935ec471b in mlt_property_set_data (this=0x374fed0, value=0x80, length=0, destructor=0, serialiser=0) at mlt_property.c:107
0000005 0x00007fe935ec5ec9 in mlt_properties_set_data (this=0x30f2790, name=0x7fe91d615e37 "dummy_context", value=0x0, length=0, destroy=0, serialise=0) at mlt_properties.c:915
0000006 0x00007fe91d610f79 in producer_avformat_init (profile=0x30f5940, file=0x320c758 "/home/jmpoure/dvgrab/capture001.m2t") at producer_avformat.c:124
0000007 0x00007fe935ed1cb2 in mlt_factory_producer (profile=0x30f5940, service=0x37f6220 "avformat", input=0x320c758) at mlt_factory.c:243
0000008 0x00007fe923fe0826 in create_producer (profile=0x30f5940, file=0x320c758 "/home/jmpoure/dvgrab/capture001.m2t") at producer_fezzik.c:43
0000009 0x00007fe923fe0aa8 in producer_fezzik_init (profile=0x30f5940, type=<value optimized out>,
    id=0x7fe931db76a8 "?|??\b~???|??@~???|???|???|???|???|???|???|???|???|???|???|???|???~???~???~???~???|???|???|???|???|???|???|???|???|???|???|???|??c\177??c\177??c\177??c\177???|???|???|???|???|???|???|???|???|???|???|???|??c\177??c\177??"..., arg=0xffffffffffffffff <Address 0xffffffffffffffff out of bounds>) at producer_fezzik.c:170
0000010 0x00007fe935ed1cb2 in mlt_factory_producer (profile=0x30f5940, service=0x7fe935cae5c0 "fezzik", input=0x320c758) at mlt_factory.c:243
0000011 0x00007fe935caa261 in Mlt::Producer::Producer () from /usr/lib/libmlt++.so.1
0000012 0x00000000005928f1 in MyThread::run (this=0x2d289d0) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/kthumb.cpp:67
0000013 0x00007fe93387d162 in ?? () from /usr/lib/libQtCore.so.4
0000014 0x00007fe931dadfaa in start_thread () from /lib/libpthread.so.0
0000015 0x00007fe9322942cd in clone () from /lib/libc.so.6
0000016 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fe9361aa750 (LWP 7829)):
[KCrash Handler]
0000005 0x00007fe932242ede in memcpy () from /lib/libc.so.6
0000006 0x00007fe91cc90fe0 in mpegaudio_parse (s1=<value optimized out>, avctx=0x43833c0, poutbuf=0x7fff3e2f07b0, poutbuf_size=0x7fff3e2f07b8, buf=0x470202a "t??", buf_size=837223175)
    at libavcodec/mpegaudio_parser.c:119
0000007 0x00007fe91c9dcbfc in av_parser_parse2 (s=0x4380b30, avctx=0x43833c0, poutbuf=0x7fff3e2f07b0, poutbuf_size=0x7fff3e2f07b8, buf=0x470202a "t??", buf_size=837358302, pts=-9223372036854775808,
    dts=-9223372036854775808, pos=-1) at libavcodec/parser.c:176
0000008 0x00007fe91d331370 in av_read_frame_internal (s=0x4381180, pkt=0x7fff3e2f07a0) at libavformat/utils.c:964
0000009 0x00007fe91d331abb in av_find_stream_info (ic=0x4381180) at libavformat/utils.c:2112
0000010 0x00007fe91d6103dd in producer_open (this=0x4356a30, profile=<value optimized out>, file=0x2a4fa10 "/home/jmpoure/dvgrab/capture005.m2t") at producer_avformat.c:444
0000011 0x00007fe91d610f47 in producer_avformat_init (profile=0x29dd3a0, file=0x2a4fa10 "/home/jmpoure/dvgrab/capture005.m2t") at producer_avformat.c:115
0000012 0x00007fe935ed1cb2 in mlt_factory_producer (profile=0x29dd3a0, service=0x3db8ed0 "avformat", input=0x2a4fa10) at mlt_factory.c:243
0000013 0x00007fe923fe0826 in create_producer (profile=0x29dd3a0, file=0x2a4fa10 "/home/jmpoure/dvgrab/capture005.m2t") at producer_fezzik.c:43
0000014 0x00007fe923fe0aa8 in producer_fezzik_init (profile=0x29dd3a0, type=<value optimized out>, id=0x1 <Address 0x1 out of bounds>, arg=0x7fff3e2f00c0 "\002") at producer_fezzik.c:170
0000015 0x00007fe935ed1cb2 in mlt_factory_producer (profile=0x29dd3a0, service=0x7fe935cae5c0 "fezzik", input=0x2a4fa10) at mlt_factory.c:243
0000016 0x00007fe935caa261 in Mlt::Producer::Producer () from /usr/lib/libmlt++.so.1
0000017 0x00000000004c11a3 in Render::getFileProperties (this=0x29dc490, xml=@0x7fff3e2f1fa0, clipId=@0x3731b88, replaceProducer=true)
    at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/renderer.cpp:488
0000018 0x00000000004e5a53 in KdenliveDoc::addClip (this=0x2b351d0, elem={<QDomNode> = {impl = 0x7fff3e2f27b0}, <No data fields>}, clipId=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 21503}, alloc = 0, size = 0, data = 0x989ada, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 119}, alloc = 0, size = 0, data = 0x7fe933c4bcfa, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fff3e2f27a0, static codecForCStrings = 0x0}, createClipItem=true) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/kdenlivedoc.cpp:1361
0000019 0x0000000000475842 in AddClipCommand::redo (this=0x3d3fc30) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/addclipcommand.cpp:41
0000020 0x00007fe933407113 in QUndoCommand::redo () from /usr/lib/libQtGui.so.4
0000021 0x00007fe933408a48 in QUndoStack::push () from /usr/lib/libQtGui.so.4
0000022 0x0000000000596346 in ClipManager::slotAddClipList (this=0x2b35550, urls=
          {<QList<KUrl>> = {{p = {static shared_null = {ref = {_q_value = 21442}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x5}, d = 0x5}}, <No data fields>}, group=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 21503}, alloc = 0, size = 0, data = 0x989ada, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 119}, alloc = 0, size = 0, data = 0x7fe933c4bcfa, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fff3e2f2aa0, static codecForCStrings = 0x0}, groupId=@0x7fff3e2f2b60) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/clipmanager.cpp:233
0000023 0x00000000004ddeb9 in KdenliveDoc::slotAddClipList (this=0x2b351d0, urls=
          {<QList<KUrl>> = {{p = {static shared_null = {ref = {_q_value = 21442}, alloc = 0, begin = 0, end = 0, sharable = 1, array = {0x0}}, d = 0x7fff3e2f2b40}, d = 0x7fff3e2f2b40}}, <No data fields>}, group=<value optimized out>, groupId=@0x7fff3e2f2b60) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/kdenlivedoc.cpp:1469
0000024 0x00000000004a7656 in ProjectList::slotAddClip (this=0x21ff9b0, givenUrl=<value optimized out>, group=
      {static null = {<No data fields>}, static shared_null = {ref = {_q_value = 21503}, alloc = 0, size = 0, data = 0x989ada, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, static shared_empty = {ref = {_q_value = 119}, alloc = 0, size = 0, data = 0x7fe933c4bcfa, clean = 0, simpletext = 0, righttoleft = 0, asciiCache = 0, capacity = 0, reserved = 0, array = {0}}, d = 0x7fff3e2f2c80, static codecForCStrings = 0x0}) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/projectlist.cpp:559
0000025 0x00000000004a8f11 in ProjectList::qt_metacall (this=0x21ff9b0, _c=<value optimized out>, _id=<value optimized out>, _a=0x7fff3e2f2dc0)
    at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/cmake_bindir/projectlist.moc:164
0000026 0x00007fe9339796e4 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000027 0x0000000000503578 in ProjectListView::addClip (this=0x431c833, _t1=<value optimized out>, _t2=<value optimized out>)
    at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/cmake_bindir/projectlistview.moc:108
0000028 0x0000000000504fd4 in ProjectListView::dropEvent (this=0x2264c10, event=0x7fff3e2f3cf0) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/projectlistview.cpp:143
0000029 0x00007fe932edbab3 in QWidget::event () from /usr/lib/libQtGui.so.4
0000030 0x00007fe93330017d in QAbstractItemView::viewportEvent () from /usr/lib/libQtGui.so.4
0000031 0x00007fe933334c00 in QTreeView::viewportEvent () from /usr/lib/libQtGui.so.4
0000032 0x00007fe933964668 in QCoreApplicationPrivate::sendThroughObjectEventFilters () from /usr/lib/libQtCore.so.4
0000033 0x00007fe932e89a2c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
0000034 0x00007fe932e91cef in QApplication::notify () from /usr/lib/libQtGui.so.4
0000035 0x00007fe93563011b in KApplication::notify () from /usr/lib/libkdeui.so.5
0000036 0x00007fe933965391 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
0000037 0x00007fe932f015cb in ?? () from /usr/lib/libQtGui.so.4
0000038 0x00007fe932ee3253 in QApplication::x11ClientMessage () from /usr/lib/libQtGui.so.4
0000039 0x00007fe932ef426e in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000040 0x00007fe932f1bcb4 in ?? () from /usr/lib/libQtGui.so.4
0000041 0x00007fe92f0e4e4a in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000042 0x00007fe92f0e8510 in ?? () from /usr/lib/libglib-2.0.so.0
0000043 0x00007fe92f0e86ac in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000044 0x00007fe93398d71f in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
0000045 0x00007fe932f1b47f in ?? () from /usr/lib/libQtGui.so.4
0000046 0x00007fe933963cb2 in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000047 0x00007fe933963e3d in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000048 0x00007fe9339662ed in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
0000049 0x0000000000476605 in main (argc=4, argv=0x7fff3e2f4ce8) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/main.cpp:85

TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0002592)
jmpoure (developer)
2009-03-27 14:27

Before that, shell log:

kdenlive(7870) KdenliveSettingsDialog::slotReadAudioDevices: // READING LINE: "**** List of PLAYBACK Hardware Devices ****"
kdenlive(7870) KdenliveSettingsDialog::slotReadAudioDevices: // READING LINE: "card 0: Audio [USB Audio], device 0: USB Audio [USB Audio]"
kdenlive(7870) KdenliveSettingsDialog::slotReadAudioDevices: // READING LINE: " Subdevices: 1/1"
kdenlive(7870) KdenliveSettingsDialog::slotReadAudioDevices: // READING LINE: " Subdevice #0: subdevice #0"
kdenlive(7870) KdenliveSettingsDialog::slotReadAudioDevices: // READING LINE: ""
kdenlive(7870) KdenliveSettingsDialog::KdenliveSettingsDialog: // FOUND DVGRAB VERSION: 3.2
kdenlive(7870) KdenliveSettingsDialog::updateSettings: // // // KCONFIG UPDATE called
kdenlive(7870) KdenliveSettingsDialog::updateSettings: // AUDIO FREQ VALUE: "48000" , CURRENT: "48000" , IX: 0
kdenlive(7870) ProjectListView::dragEnterEvent: //////////////// DRAG ENTR OK
kdenlive(7870) ProjectListView::dropEvent: //////////////// DROPPED EVENT
kdenlive(7870) AddClipCommand::redo: ---- redoing action
kdenlive(7870) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(7870) Render::getFileProperties: // LOOKING FOR H264 on: 0
kdenlive(7870) Render::getFileProperties: PROP: meta.media.0.codec.name = mpeg2video
kdenlive(7870) Render::getFileProperties: REquested fuile info for: "/home/jmpoure/dvgrab/capture001.m2t"
kdenlive(7870) Render::stop: ///////////// RENDER STOPPED: "project"
kdenlive(7870) Render::stop: ///////////// RENDER STOP2-------
kdenlive(7870) Render::stop: ///////////// RENDER STOP3-------
kdenlive(7870) Render::start: ----- STARTING MONITOR: "clip"
kdenlive(7870) Render::start: ----- MONITOR: "clip" WAS STOPPED
kdenlive(7870) Render::start: ----- MONITOR: "clip" REFRESH
kdenlive(7870) AddClipCommand::redo: ---- redoing action
kdenlive(7870) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(7870) Render::getFileProperties: // LOOKING FOR H264 on: 0
kdenlive(7870) Render::getFileProperties: PROP: meta.media.0.codec.name = mpeg2video
kdenlive(7870) Render::getFileProperties: REquested fuile info for: "/home/jmpoure/dvgrab/capture002.m2t"
kdenlive(7870) AddClipCommand::redo: ---- redoing action
kdenlive(7870) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(7870) Render::getFileProperties: // LOOKING FOR H264 on: 0
kdenlive(7870) Render::getFileProperties: PROP: meta.media.0.codec.name = mpeg2video
kdenlive(7870) Render::getFileProperties: REquested fuile info for: "/home/jmpoure/dvgrab/capture003.m2t"
kdenlive(7870) AddClipCommand::redo: ---- redoing action
kdenlive(7870) ProjectList::slotAddClip: Adding clip with groupid: ""
kdenlive(7870) Render::getFileProperties: // LOOKING FOR H264 on: 0
kdenlive(7870) Render::getFileProperties: PROP: meta.media.0.codec.name = mpeg2video
kdenlive(7870) Render::getFileProperties: REquested fuile info for: "/home/jmpoure/dvgrab/capture004.m2t"
kdenlive(7870) ProjectListView::dragEnterEvent: //////////////// DRAG ENTR OK
kdenlive(7870) ProjectListView::dropEvent: //////////////// DROPPED EVENT
kdenlive(7870) AddClipCommand::redo: ---- redoing action
kdenlive(7870) ProjectList::slotAddClip: Adding clip with groupid: ""
KCrash: Application 'kdenlive' crashing...
sock_file=/home/jmpoure/.kde4/socket-localhost/kdeinit4__0
Warning: connect() failed: : No such file or directory
KCrash cannot reach kdeinit, launching directly.
(0002593)
jmpoure (developer)
2009-03-27 14:34

Kdenlive crashes on startup, randomly (1/2 times):

Application: Kdenlive (kdenlive), signal SIGSEGV
0x00007fc3212fa675 in pthread_join () from /lib/libpthread.so.0
[Current thread is 0 (LWP 8232)]

Thread 3 (Thread 0x7fc30477f950 (LWP 8234)):
[KCrash Handler]
0000005 0x00007fc30b875728 in hyscale_MMX2 (c=0x31f3ce0, dst=0x3203c80, dstWidth=140475688769228, src=0x31f45b8 '?' <repeats 200 times>..., srcW=<value optimized out>, xInc=<value optimized out>,
    flags=<value optimized out>, canMMX2BeUsed=1, hLumFilter=0x31fb8f0, hLumFilterPos=0x31fa720, hLumFilterSize=4, funnyYCode=0x7fc32580e000, srcFormat=1,
    formatConvBuffer=0x31f45b8 '?' <repeats 200 times>..., mmx2Filter=0x31f3b10, mmx2FilterPos=0x31ffe10, pal=0x31f3d60, isAlpha=0) at libswscale/swscale_template.c:2432
0000006 0x00007fc30b878295 in swScale_MMX2 (c=0x31f3ce0, src=0x7fc30477ecd0, srcStride=0x7fc30477ecf0, srcSliceY=0, srcSliceH=1080, dst=0x7fc30477edd0, dstStride=0x7fc30477ed00)
    at libswscale/swscale_template.c:2944
0000007 0x00007fc30b86dc6d in sws_scale (c=0x31f3ce0, src=<value optimized out>, srcStride=0x7fc30477ee20, srcSliceY=0, srcSliceH=1080, dst=0x7fc30477edd0, dstStride=0x7fc30477edf0)
    at libswscale/swscale.c:3019
0000008 0x00007fc30cb5d83c in filter_get_image (this=0x31e78f0, image=0x7fc30477f078, format=0x7fc30477f090, width=0x7fc30477f088, height=0x7fc30477f08c, writable=<value optimized out>)
    at filter_avcolour_space.c:82
0000009 0x00007fc32540e141 in mlt_frame_get_image (this=0x31e78f0, buffer=0x7fc30477f078, format=0x7fc30477f090, width=0x7fc30477f088, height=0x7fc30477f08c, writable=0) at mlt_frame.c:261
0000010 0x00007fc30f4d1a07 in consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:457
0000011 0x00007fc3212f9faa in start_thread () from /lib/libpthread.so.0
0000012 0x00007fc3217e02cd in clone () from /lib/libc.so.6
0000013 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fc303f7e950 (LWP 8235)):
#0 0x00007fc3212fa675 in pthread_join () from /lib/libpthread.so.0
#1 0x00007fc30f4d12e8 in consumer_stop (parent=<value optimized out>) at consumer_sdl_still.c:221
0000002 0x00007fc32541a4f7 in mlt_consumer_stop (this=0x3009640) at mlt_consumer.c:940
0000003 0x00007fc30f4d0c20 in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:398
0000004 0x00007fc3212f9faa in start_thread () from /lib/libpthread.so.0
0000005 0x00007fc3217e02cd in clone () from /lib/libc.so.6
0000006 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fc3256f6750 (LWP 8232)):
#0 0x00007fc3212fa675 in pthread_join () from /lib/libpthread.so.0
#1 0x00007fc30f4d0682 in consumer_stop (parent=<value optimized out>) at consumer_sdl_preview.c:242
0000002 0x00007fc32541a4f7 in mlt_consumer_stop (this=0x2ff88f0) at mlt_consumer.c:940
0000003 0x00007fc3251eee5e in Mlt::Consumer::stop () from /usr/lib/libmlt++.so.1
0000004 0x00000000004d4ae2 in Render::stop (this=0x2ff7f50) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/renderer.cpp:1019
0000005 0x0000000000523e61 in MonitorManager::switchMonitors (this=0x287ef90) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/monitormanager.cpp:66
0000006 0x00000000004b09fd in Monitor::slotSetXml (this=0x2fb3eb0, clip=0x0, position=0) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/monitor.cpp:618
0000007 0x000000000047759b in MainWindow::slotUpdatePreviewSettings (this=0x272c850) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/mainwindow.cpp:1792
0000008 0x000000000047f548 in MainWindow::connectDocument (this=0x272c850, trackView=0x3166c70, doc=0x3151620) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/mainwindow.cpp:1753
0000009 0x0000000000499ca0 in MainWindow::qt_metacall (this=0x272c850, _c=QMetaObject::InvokeMetaMethod, _id=-512, _a=0x7fff2d841bf0)
    at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/cmake_bindir/mainwindow.moc:261
0000010 0x00007fc322ec56e4 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000011 0x00007fc32279208e in QTabWidget::currentChanged () from /usr/lib/libQtGui.so.4
0000012 0x00007fc3227936ed in ?? () from /usr/lib/libQtGui.so.4
0000013 0x00007fc3227938c7 in QTabWidget::qt_metacall () from /usr/lib/libQtGui.so.4
0000014 0x00007fc324c6bcb5 in KTabWidget::qt_metacall () from /usr/lib/libkdeui.so.5
0000015 0x00007fc322ec56e4 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000016 0x00007fc32278b4de in QTabBar::currentChanged () from /usr/lib/libQtGui.so.4
0000017 0x00007fc32279141e in QTabBar::insertTab () from /usr/lib/libQtGui.so.4
0000018 0x00007fc322793448 in QTabWidget::insertTab () from /usr/lib/libQtGui.so.4
0000019 0x000000000048e8c4 in MainWindow::newFile (this=0x272c850, showProjectSettings=<value optimized out>) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/mainwindow.cpp:1179
0000020 0x000000000049213b in MainWindow (this=0x272c850, MltPath=<value optimized out>, Url=@0x7fff2d8428c0, parent=<value optimized out>)
    at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/mainwindow.cpp:366
0000021 0x00000000004765b9 in main (argc=1, argv=0x7fff2d842c98) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/main.cpp:79
(0002597)
Madman (reporter)
2009-03-28 19:19

KDEnlive crashed for me when adding multiple images, as well.

I've filed a bug under Crash and File Management.
(0002598)
jmpoure (developer)
2009-03-30 08:54

Hello Mads! Then feel free to merge the bugs.
(0002599)
jmpoure (developer)
2009-03-30 10:19

Now Kdenlive crashes on every startup. I really need some help:

Application: Kdenlive (kdenlive), signal SIGSEGV
0x00007f94b222b675 in pthread_join (threadid=140276129036624,
    thread_return=0x0) at pthread_join.c:89
    in pthread_join.c
Current language: auto; currently c
[Current thread is 0 (LWP 21445)]

Thread 3 (Thread 0x7f9495578950 (LWP 21446)):
[KCrash Handler]
0000005 0x00007f9499172728 in hyscale_MMX2 (c=0x7f9490000aa0, dst=0x7f9490010b30, dstWidth=140276200318668, src=0x7f9490001378 '?' <repeats 200 times>..., srcW=<value optimized out>,
    xInc=<value optimized out>, flags=<value optimized out>, canMMX2BeUsed=1, hLumFilter=0x7f9490008030, hLumFilterPos=0x7f94900074e0, hLumFilterSize=4, funnyYCode=0x7f94b673f000, srcFormat=1,
    formatConvBuffer=0x7f9490001378 '?' <repeats 200 times>..., mmx2Filter=0x7f949000c980, mmx2FilterPos=0x7f949000cc80, pal=0x7f9490000b20, isAlpha=0) at libswscale/swscale_template.c:2432
0000006 0x00007f9499175295 in swScale_MMX2 (c=0x7f9490000aa0, src=0x7f9495577cd0, srcStride=0x7f9495577cf0, srcSliceY=0, srcSliceH=1080, dst=0x7f9495577dd0, dstStride=0x7f9495577d00)
    at libswscale/swscale_template.c:2944
0000007 0x00007f949916ac6d in sws_scale (c=0x7f9490000aa0, src=<value optimized out>, srcStride=0x7f9495577e20, srcSliceY=0, srcSliceH=1080, dst=0x7f9495577dd0, dstStride=0x7f9495577df0)
    at libswscale/swscale.c:3019
0000008 0x00007f949a45a83c in filter_get_image (this=0x20c8fb0, image=0x7f9495578078, format=0x7f9495578090, width=0x7f9495578088, height=0x7f949557808c, writable=<value optimized out>)
    at filter_avcolour_space.c:82
0000009 0x00007f94b633f141 in mlt_frame_get_image (this=0x20c8fb0, buffer=0x7f9495578078, format=0x7f9495578090, width=0x7f9495578088, height=0x7f949557808c, writable=0) at mlt_frame.c:261
0000010 0x00007f949cdcea07 in consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:457
0000011 0x00007f94b222afaa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000012 0x00007f94b27112cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000013 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f9494d77950 (LWP 21447)):
#0 0x00007f94b222b675 in pthread_join (threadid=140276137429328, thread_return=0x0) at pthread_join.c:89
#1 0x00007f949cdce2e8 in consumer_stop (parent=<value optimized out>) at consumer_sdl_still.c:221
0000002 0x00007f94b634b4f7 in mlt_consumer_stop (this=0x1ed7b50) at mlt_consumer.c:940
0000003 0x00007f949cdcdc20 in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:398
0000004 0x00007f94b222afaa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000005 0x00007f94b27112cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f94b6627750 (LWP 21445)):
#0 0x00007f94b222b675 in pthread_join (threadid=140276129036624, thread_return=0x0) at pthread_join.c:89
#1 0x00007f949cdcd682 in consumer_stop (parent=<value optimized out>) at consumer_sdl_preview.c:242
0000002 0x00007f94b634b4f7 in mlt_consumer_stop (this=0x1ec6e00) at mlt_consumer.c:940
0000003 0x00007f94b611fe5e in Mlt::Consumer::stop () from /usr/lib/libmlt++.so.1
0000004 0x00000000004d4ae2 in Render::stop (this=0x1ec6460) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/renderer.cpp:1019
0000005 0x0000000000523e61 in MonitorManager::switchMonitors (this=0x1761e80) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/monitormanager.cpp:66
0000006 0x00000000004b09fd in Monitor::slotSetXml (this=0x1e7bf30, clip=0x0, position=0) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/monitor.cpp:618
0000007 0x000000000047759b in MainWindow::slotUpdatePreviewSettings (this=0x1571a30) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/mainwindow.cpp:1792
0000008 0x000000000047f548 in MainWindow::connectDocument (this=0x1571a30, trackView=0x2040f20, doc=0x202b420) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/mainwindow.cpp:1753
0000009 0x0000000000499ca0 in MainWindow::qt_metacall (this=0x1571a30, _c=QMetaObject::InvokeMetaMethod, _id=-512, _a=0x7fffbe770b30)
    at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/cmake_bindir/mainwindow.moc:261
0000010 0x00007f94b3df66e4 in QMetaObject::activate (sender=0x165db60, from_signal_index=<value optimized out>, to_signal_index=27, argv=0xffffffffffffffff) at kernel/qobject.cpp:3031
0000011 0x00007f94b36c308e in QTabWidget::currentChanged (this=0x7f9494d779e0, _t1=0) at .moc/release-shared/moc_qtabwidget.cpp:165
0000012 0x00007f94b36c46ed in QTabWidgetPrivate::_q_showTab (this=0x1656e40, index=0) at widgets/qtabwidget.cpp:688
0000013 0x00007f94b36c48c7 in QTabWidget::qt_metacall (this=0x165db60, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffbe770cd0) at .moc/release-shared/moc_qtabwidget.cpp:115
0000014 0x00007f94b5b9ccb5 in KTabWidget::qt_metacall (this=0x7f9494d779e0, _c=QMetaObject::InvokeMetaMethod, _id=21447, _a=0xffffffffffffffff) at ./ktabwidget.moc:123
0000015 0x00007f94b3df66e4 in QMetaObject::activate (sender=0x1655050, from_signal_index=<value optimized out>, to_signal_index=27, argv=0xffffffffffffffff) at kernel/qobject.cpp:3031
0000016 0x00007f94b36bc4de in QTabBar::currentChanged (this=0x7f9494d779e0, _t1=0) at .moc/release-shared/moc_qtabbar.cpp:155
0000017 0x00007f94b36c241e in QTabBar::insertTab (this=0x1655050, index=0, icon=<value optimized out>, text=@0x7fffbe770f40) at widgets/qtabbar.cpp:655
0000018 0x00007f94b36c4448 in QTabWidget::insertTab (this=0x165db60, index=0, w=<value optimized out>, icon=@0x7fffbe770ed0, label=@0x7fffbe770f40) at widgets/qtabwidget.cpp:418
0000019 0x000000000048e8c4 in MainWindow::newFile (this=0x1571a30, showProjectSettings=<value optimized out>) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/mainwindow.cpp:1179
0000020 0x000000000049213b in MainWindow (this=0x1571a30, MltPath=<value optimized out>, Url=@0x7fffbe771800, parent=<value optimized out>)
    at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/mainwindow.cpp:366
0000021 0x00000000004765b9 in main (argc=1, argv=0x7fffbe771bd8) at /home/jmpoure/Documents/kdenlive/kdenlive/trunk/src/main.cpp:79
0x00007f94b222b675 89 in pthread_join.c
(0002600)
administrator (administrator)
2009-03-30 11:03

From the crash log, it seems to be an issue with FFmpeg's libswscale. So I would say that this crash is related to your FFmpeg version...
(0002601)
jmpoure (developer)
2009-03-30 12:30

I agree. FFmpeg libswscale was under development these last days. Maybe you should compile latest libswscale and test. It may be an evolution in the API or so.
(0002607)
jmpoure (developer)
2009-03-30 13:24

Duplicate of 0000738. Closing.
(0002618)
jmpoure (developer)
2009-03-31 16:59

Thanks for the fix in SVN. Closing.
(0002622)
jmpoure (developer)
2009-04-02 11:39
edited on: 2009-04-02 11:40

Sorry for the confusion, but I had to reopen the bug. I renamed the bug "startup crash", because Kdenlive still is crashing a lot on startup. All FFMpeg, MLT and Kdenlive were build from today's SVN. Here is an output example of a crash:

Application: Kdenlive (kdenlive), signal SIGSEGV
0x00007fe04839d675 in pthread_join (threadid=140600720025936,
    thread_return=0x0) at pthread_join.c:89
    in pthread_join.c
Current language: auto; currently c
[Current thread is 0 (LWP 17849)]

Thread 3 (Thread 0x7fe02878f950 (LWP 17855)):
[KCrash Handler]
0000004 0x00007fe032936738 in hyscale_MMX2 (c=0x1c99820, dst=0x1ca9570, dstWidth=140600897922780, src=0x1c9a0f8 '?' <repeats 200 times>..., srcW=<value optimized out>, xInc=<value optimized out>,
    flags=<value optimized out>, canMMX2BeUsed=1, hLumFilter=0x1ca0db0, hLumFilterPos=0x1ca0260, hLumFilterSize=4, funnyYCode=0x7fe04c9d6000, srcFormat=1,
    formatConvBuffer=0x1c9a0f8 '?' <repeats 200 times>..., mmx2Filter=0x1c98ea0, mmx2FilterPos=0x1ca5700, pal=0x1c998a0, isAlpha=0) at libswscale/swscale_template.c:2432
0000005 0x00007fe0329392a5 in swScale_MMX2 (c=0x1c99820, src=0x7fe02878ecd0, srcStride=0x7fe02878ecf0, srcSliceY=0, srcSliceH=1080, dst=0x7fe02878edd0, dstStride=0x7fe02878ed00)
    at libswscale/swscale_template.c:2944
0000006 0x00007fe03292ec7d in sws_scale (c=0x1c99820, src=<value optimized out>, srcStride=0x7fe02878ee20, srcSliceY=0, srcSliceH=1080, dst=0x7fe02878edd0, dstStride=0x7fe02878edf0)
    at libswscale/swscale.c:3019
0000007 0x00007fe033c1d83c in filter_get_image (this=0x1c8d2c0, image=0x7fe02878f078, format=0x7fe02878f090, width=0x7fe02878f088, height=0x7fe02878f08c, writable=<value optimized out>)
    at filter_avcolour_space.c:82
0000008 0x00007fe04c5d5141 in mlt_frame_get_image (this=0x1c8d2c0, buffer=0x7fe02878f078, format=0x7fe02878f090, width=0x7fe02878f088, height=0x7fe02878f08c, writable=0) at mlt_frame.c:261
0000009 0x00007fe036591a07 in consumer_thread (arg=<value optimized out>) at consumer_sdl_still.c:457
0000010 0x00007fe04839cfaa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000011 0x00007fe0488832cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000012 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7fe027f8e950 (LWP 17856)):
#0 0x00007fe04839d675 in pthread_join (threadid=140600728418640, thread_return=0x0) at pthread_join.c:89
#1 0x00007fe0365912e8 in consumer_stop (parent=<value optimized out>) at consumer_sdl_still.c:221
0000002 0x00007fe04c5e14f7 in mlt_consumer_stop (this=0x1538b40) at mlt_consumer.c:940
0000003 0x00007fe036590c20 in consumer_thread (arg=<value optimized out>) at consumer_sdl_preview.c:398
0000004 0x00007fe04839cfaa in start_thread (arg=<value optimized out>) at pthread_create.c:297
0000005 0x00007fe0488832cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
0000006 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7fe04c8bd750 (LWP 17849)):
#0 0x00007fe04839d675 in pthread_join (threadid=140600720025936, thread_return=0x0) at pthread_join.c:89
#1 0x00007fe036590682 in consumer_stop (parent=<value optimized out>) at consumer_sdl_preview.c:242
0000002 0x00007fe04c5e14f7 in mlt_consumer_stop (this=0x1528620) at mlt_consumer.c:940
0000003 0x00007fe04c3b5e5e in Mlt::Consumer::stop () from /usr/lib/libmlt++.so.1
0000004 0x00000000004d67c2 in Render::stop (this=0x1527730) at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/renderer.cpp:1024
0000005 0x0000000000525e41 in MonitorManager::switchMonitors (this=0x11609c0) at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/monitormanager.cpp:66
0000006 0x00000000004b242d in Monitor::slotSetXml (this=0x14dc790, clip=0x0, position=0) at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/monitor.cpp:618
0000007 0x000000000047776b in MainWindow::slotUpdatePreviewSettings (this=0x1015680) at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/mainwindow.cpp:1797
0000008 0x000000000047e6a8 in MainWindow::connectDocument (this=0x1015680, trackView=0x1bedb10, doc=0x1be40f0) at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/mainwindow.cpp:1758
0000009 0x000000000049b0b0 in MainWindow::qt_metacall (this=0x1015680, _c=QMetaObject::InvokeMetaMethod, _id=-512, _a=0x7fff54a07a70)
    at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/cmake_bindir/mainwindow.moc:262
0000010 0x00007fe04a054622 in QMetaObject::activate (sender=0x102ede0, from_signal_index=<value optimized out>, to_signal_index=27, argv=0xffffffffffffffff) at kernel/qobject.cpp:3069
0000011 0x00007fe0498e1f2e in QTabWidget::currentChanged (this=0x7fe027f8e9e0, _t1=0) at .moc/release-shared/moc_qtabwidget.cpp:194
0000012 0x00007fe0498e379d in QTabWidgetPrivate::_q_showTab (this=0x1043030, index=0) at widgets/qtabwidget.cpp:724
0000013 0x00007fe0498e3968 in QTabWidget::qt_metacall (this=0x102ede0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff54a07c10) at .moc/release-shared/moc_qtabwidget.cpp:136
0000014 0x00007fe04be32cb5 in KTabWidget::qt_metacall (this=0x7fe027f8e9e0, _c=QMetaObject::InvokeMetaMethod, _id=17856, _a=0xffffffffffffffff) at ./ktabwidget.moc:123
0000015 0x00007fe04a054622 in QMetaObject::activate (sender=0x102b730, from_signal_index=<value optimized out>, to_signal_index=27, argv=0xffffffffffffffff) at kernel/qobject.cpp:3069
0000016 0x00007fe0498d67ae in QTabBar::currentChanged (this=0x7fe027f8e9e0, _t1=0) at .moc/release-shared/moc_qtabbar.cpp:201
0000017 0x00007fe0498dcc8d in QTabBar::setCurrentIndex (this=0x102b730, index=0) at widgets/qtabbar.cpp:1176
0000018 0x00007fe0498df803 in QTabBar::insertTab (this=0x102b730, index=0, icon=<value optimized out>, text=@0x7fff54a07fa0) at widgets/qtabbar.cpp:807
0000019 0x00007fe0498e34f8 in QTabWidget::insertTab (this=0x102ede0, index=0, w=<value optimized out>, icon=@0x7fff54a07f30, label=@0x7fff54a07fa0) at widgets/qtabwidget.cpp:447
0000020 0x000000000048fa74 in MainWindow::newFile (this=0x1015680, showProjectSettings=<value optimized out>) at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/mainwindow.cpp:1179
0000021 0x0000000000493420 in MainWindow (this=0x1015680, MltPath=<value optimized out>, Url=@0x7fff54a08860, parent=<value optimized out>)
    at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/mainwindow.cpp:366
0000022 0x0000000000476789 in main (argc=4, argv=0x7fff54a08c38) at /home/jmpoure/Documents/logiciels/kdenlive/trunk/src/main.cpp:79
0x00007fe04839d675 89 in pthread_join.c

If you would more like more information, please let me know.
Kind regards, JMP

(0002623)
administrator (administrator)
2009-04-02 19:07

I cannot reproduce the crash. Maybe you can try to delete your FFmpeg source tree and fetch it again so that you have a clean source to recompile.
(0002624)
jmpoure (developer)
2009-04-02 21:24
edited on: 2009-04-02 21:25

I did so, same problem. Are you using OpenGL hardware rendering, I use Nvidia opengl? My station is a Debian SID dual-core 64 bits computer.

How can I debug further?

(0002865)
jmpoure (developer)
2009-05-14 09:42

Thinks this was fixed in the previous weeks. Thank, closing.
(0003283)
xzhayon (developer)
2009-06-18 02:36

fixed for 0.7.3 or 0.7.4 release

- Issue History
Date Modified Username Field Change
2009-03-27 13:51 jmpoure New Issue
2009-03-27 13:51 jmpoure Build/Install Method => Manual build from SVN
2009-03-27 14:27 jmpoure Note Added: 0002592
2009-03-27 14:34 jmpoure Note Added: 0002593
2009-03-27 14:34 jmpoure Summary Drag and drop crash => Drag and drop / startup crash
2009-03-28 19:19 Madman Note Added: 0002597
2009-03-30 08:54 jmpoure Note Added: 0002598
2009-03-30 10:19 jmpoure Note Added: 0002599
2009-03-30 11:03 administrator Note Added: 0002600
2009-03-30 12:30 jmpoure Note Added: 0002601
2009-03-30 13:24 jmpoure Note Added: 0002607
2009-03-31 16:59 jmpoure Note Added: 0002618
2009-03-31 17:00 jmpoure Status new => resolved
2009-03-31 17:00 jmpoure Resolution open => fixed
2009-04-02 11:38 jmpoure Status resolved => acknowledged
2009-04-02 11:38 jmpoure Resolution fixed => open
2009-04-02 11:38 jmpoure Summary Drag and drop / startup crash => Startup crash
2009-04-02 11:39 jmpoure Note Added: 0002622
2009-04-02 11:40 jmpoure Note Edited: 0002622
2009-04-02 19:07 administrator Note Added: 0002623
2009-04-02 21:24 jmpoure Note Added: 0002624
2009-04-02 21:25 jmpoure Note Edited: 0002624
2009-05-14 09:42 jmpoure Note Added: 0002865
2009-05-14 09:43 jmpoure Status acknowledged => resolved
2009-05-14 09:43 jmpoure Resolution open => fixed
2009-06-18 02:36 xzhayon Note Added: 0003283
2009-06-18 02:36 xzhayon Status resolved => closed
2009-06-18 02:36 xzhayon Fixed in Version => 0.7.4


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker